import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PageMarkdown, PropertiesTableSet } from '@uifabric/example-app-base';
import { DocumentCardBasicExample } from './examples/DocumentCard.Basic.Example';
import { DocumentCardCompleteExample } from './examples/DocumentCard.Complete.Example';
import { DocumentCardCompactExample } from './examples/DocumentCard.Compact.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { DocumentCardStatus } from './DocumentCard.checklist';
var DocumentCardBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/examples/DocumentCard.Basic.Example.tsx');
var DocumentCardCompleteExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/examples/DocumentCard.Complete.Example.tsx');
var DocumentCardCompactExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/examples/DocumentCard.Compact.Example.tsx');
var DocumentCardPage = /** @class */ (function (_super) {
    tslib_1.__extends(DocumentCardPage, _super);
    function DocumentCardPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DocumentCardPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'DocumentCard', componentName: 'DocumentCardExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Default DocumentCard', code: DocumentCardBasicExampleCode },
                    React.createElement("p", null, "The default configuration for a card represents a single file, with space to denote the last significant event and the person involved."),
                    React.createElement(DocumentCardBasicExample, null)),
                React.createElement(ExampleCard, { title: 'DocumentCard with multiple items, commands, and views', code: DocumentCardCompleteExampleCode },
                    React.createElement("p", null, "This example shows a couple of optional abilities, including being able to have a card represent multiple items, being able to expose up to three relevant commands, and showing the number of views in the bottom right corner."),
                    React.createElement("p", null, "Also show a card with Logo, text preview and status that is used for Conversation card."),
                    React.createElement(DocumentCardCompleteExample, null)),
                React.createElement(ExampleCard, { title: 'DocumentCard with compact layout ', code: DocumentCardCompactExampleCode },
                    React.createElement("p", null, "When showing a card on a mobile device or a similarly narrow layout, you may choose this Compact layout which helps the filename remain scannable while giving roomy space for a preview thumbnail."),
                    React.createElement(DocumentCardCompactExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/DocumentCard.types.ts')
                ] }), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/docs/DocumentCardOverview.md')), bestPractices: React.createElement("div", null), dos: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/docs/DocumentCardDos.md')), donts: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/DocumentCard/docs/DocumentCardDonts.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, DocumentCardStatus)) }));
    };
    return DocumentCardPage;
}(React.Component));
export { DocumentCardPage };
//# sourceMappingURL=DocumentCardPage.js.map